using System;

namespace PolCommon
{
	/// <p>Polaris KeyRange class.
	/// Because it is shared between PolClient and PolServer defined in the PolCommon namespace
	/// <p>Copyright (c) 2002 Alexis Grandemange<br/>
	/// Mail: alexis.grandemange@pagebox.net</p>
	/// <pre>This program is free software; you can redistribute it and/or
	/// modify it under the terms of the GNU Lesser General Public
	/// License as published by the Free Software Foundation; version
	/// 2.1 of the License.
	/// This library is distributed in the hope that it will be useful,
	/// but WITHOUT ANY WARRANTY; without even the implied warranty of
	/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	/// GNU Lesser General Public License for more details.
	/// A copy of the GNU Lesser General Public License lesser.txt should be
	/// included in the distribution.</pre>
	public class PolarisKR
	{
		/// <summary>
		/// Smallest user number managed by this instance
		/// </summary>
		public int userLow;
		/// <summary>
		/// Highest user number managed by this instance
		/// </summary>
		public int userHigh;
		/// <summary>
		/// Instance location
		/// </summary>
		public string location;
	}
}
